#include <io.h>

void main(void)
{       
   
    // Input 
    //DDRC = ~(1 << 3);
    DDRC.3 = 0;
    // Pullup  
    //PORTC |= (1 << 3);
    PORTC.3 = 1;   
    
    DDRA = 0xFF;
    
    while(1)
    {                  
        if(PINC.3 == 0)
        {           
            PORTA = 0xFF;
        }                
        else
        {
            PORTA = 0x00;
        }
    }
}
   